package com.tzld.piaoquan.api.model.po.wecom.thirdpart;

import java.util.Date;

public class ThirdPartWeComStaff {
    private Long id;

    private Long corpId;

    private String mobile;

    private String name;

    private Long thirdStaffId;

    private String thirdUuid;

    private String avatar;

    private String qrImage;

    private String realName;

    private Integer status;

    private Integer autoCreateRoom;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getThirdStaffId() {
        return thirdStaffId;
    }

    public void setThirdStaffId(Long thirdStaffId) {
        this.thirdStaffId = thirdStaffId;
    }

    public String getThirdUuid() {
        return thirdUuid;
    }

    public void setThirdUuid(String thirdUuid) {
        this.thirdUuid = thirdUuid;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getQrImage() {
        return qrImage;
    }

    public void setQrImage(String qrImage) {
        this.qrImage = qrImage;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getAutoCreateRoom() {
        return autoCreateRoom;
    }

    public void setAutoCreateRoom(Integer autoCreateRoom) {
        this.autoCreateRoom = autoCreateRoom;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", corpId=").append(corpId);
        sb.append(", mobile=").append(mobile);
        sb.append(", name=").append(name);
        sb.append(", thirdStaffId=").append(thirdStaffId);
        sb.append(", thirdUuid=").append(thirdUuid);
        sb.append(", avatar=").append(avatar);
        sb.append(", qrImage=").append(qrImage);
        sb.append(", realName=").append(realName);
        sb.append(", status=").append(status);
        sb.append(", autoCreateRoom=").append(autoCreateRoom);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}